Skip to main content
GET
/
api
/
v1
/
sales
/
{sale_id}
Obtener venta por ID
curl --request GET \
  --url https://api.lapyme.com.ar/api/v1/sales/{sale_id} \
  --header 'Authorization: Bearer <token>'
{
  "request_id": "<string>",
  "data": {
    "object": "sale",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "invoice_number": 0,
    "voucher_type": "<string>",
    "customer_tax_category_override": "<string>",
    "invoice_status": "<string>",
    "invoice_date": "<string>",
    "due_date": "<string>",
    "service_from": "<string>",
    "service_to": "<string>",
    "subtotal": 4503599627370495,
    "tax_amount": 4503599627370495,
    "total": 4503599627370495,
    "balance": 0,
    "tributes_amount": 0,
    "national_perception_amount": 0,
    "gross_income_perception_amount": 0,
    "gross_income_tax_breakdown": "<unknown>",
    "municipal_perception_amount": 0,
    "internal_tribute_amount": 0,
    "uncategorized_vat_perception_amount": 0,
    "other_tribute_amount": 0,
    "discount_type": "<string>",
    "discount_value": 123,
    "discount_amount": 0,
    "rounding_adjustment": 0,
    "notes": "<string>",
    "fiscal_notes": "<string>",
    "cae": "<string>",
    "cae_expiry": "<string>",
    "pdf_path": "<string>",
    "pdf_status": "<string>",
    "trigger_job_id": "<string>",
    "email_status": "<string>",
    "email_sent_at": "2023-11-07T05:31:56Z",
    "formatted_invoice_number": "<string>",
    "original_sale_id": "<string>",
    "integration_source": "<string>",
    "integration_id": "<string>",
    "afip_error_code": "<string>",
    "currency": "<string>",
    "register_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "manual_associated_documents": null,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "customer_invoice_readiness": {
      "status": "ready",
      "missing_fields": [
        "customer"
      ]
    },
    "customer": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "email": "<string>",
      "phone": "<string>",
      "tax_id_type": "<string>",
      "tax_id": "<string>",
      "tax_category": "<string>",
      "default_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "payment_term_id": "<string>",
      "address": "<string>",
      "apartment": "<string>",
      "city": "<string>",
      "province": "<string>",
      "postal_code": "<string>"
    },
    "point_of_sale": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "number": 0,
      "name": "<string>"
    },
    "created_by": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "full_name": "<string>"
    },
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "quantity": 123,
        "unit_price": 4503599627370495,
        "unit_cost": 4503599627370495,
        "discount_amount": 0,
        "discount_percentage": "<string>",
        "tax_rate_id": 0,
        "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "is_exempt": true,
        "is_custom": true,
        "name": "<string>",
        "notes": "<string>",
        "variant_options": {},
        "option_names": [
          "<string>"
        ],
        "product": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "sku": "<string>",
          "name": "<string>",
          "product_type": "<string>"
        },
        "warehouse": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        },
        "subtotal": 0,
        "tax_amount": 0,
        "total": 0,
        "cost_center1": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        },
        "cost_center2": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        },
        "cost_center3": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        }
      }
    ],
    "payments": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "formatted_payment_number": "<string>",
        "payment_number": 0,
        "payment_date": "<string>",
        "amount": 123,
        "currency": "<string>",
        "payment_method": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "icon": "<string>"
        },
        "notes": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "terminal": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "code": "<string>"
        },
        "card_batch_number": "<string>",
        "card_coupon_number": "<string>",
        "card_installment_plan_code": "<string>",
        "card_brand": "<string>"
      }
    ],
    "original_payments": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "formatted_payment_number": "<string>",
        "payment_number": 0,
        "payment_date": "<string>",
        "amount": 123,
        "currency": "<string>",
        "payment_method": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "icon": "<string>"
        },
        "notes": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "terminal": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "code": "<string>"
        },
        "card_batch_number": "<string>",
        "card_coupon_number": "<string>",
        "card_installment_plan_code": "<string>",
        "card_brand": "<string>"
      }
    ],
    "return_payments": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "formatted_payment_number": "<string>",
        "payment_number": 0,
        "payment_date": "<string>",
        "amount": 123,
        "currency": "<string>",
        "payment_method": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "icon": "<string>"
        },
        "notes": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "terminal": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "code": "<string>"
        },
        "card_batch_number": "<string>",
        "card_coupon_number": "<string>",
        "card_installment_plan_code": "<string>",
        "card_brand": "<string>"
      }
    ],
    "payment_fees_amount": 0,
    "credit_note_applications": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_at": "2023-11-07T05:31:56Z",
        "applied_amount": 0,
        "sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "sale_formatted_number": "<string>",
        "sale_voucher_type": "<string>",
        "sale_total": 4503599627370495
      }
    ],
    "applied_to_invoices": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_at": "2023-11-07T05:31:56Z",
        "applied_amount": 0,
        "sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "sale_formatted_number": "<string>",
        "sale_voucher_type": "<string>",
        "sale_total": 4503599627370495
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lapyme.com.ar/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Incluí tu API key en el header Authorization con el prefijo Bearer.

Path Parameters

sale_id
string<uuid>
required

ID de la venta

Response

Venta obtenida exitosamente

request_id
string
required
data
object
required